> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noramp.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Trees



## OpenAPI

````yaml get /solana/compression/{app_id}/{wallet_id}/trees
openapi: 3.1.0
info:
  title: NoRamp
  description: NoRamp API
  version: '1.1'
  contact: {}
servers: []
security: []
tags: []
paths:
  /solana/compression/{app_id}/{wallet_id}/trees:
    get:
      operationId: SolanaCompressionController_getTrees
      parameters:
        - name: wallet_id
          required: true
          in: path
          schema:
            type: string
        - name: app_id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SolanaTreeDto'
components:
  schemas:
    SolanaTreeDto:
      type: object
      properties:
        id:
          type: string
        address:
          type: string
        tx_signature:
          type: string
        max_depth:
          type: number
        max_buffer_size:
          type: number
        canopy_depth:
          type: number
        created_at:
          format: date-time
          type: string
        updated_at:
          format: date-time
          type: string
      required:
        - id
        - address
        - tx_signature
        - max_depth
        - max_buffer_size
        - canopy_depth
        - created_at
        - updated_at

````